Phonegap integration guide

To install the Plot plugin into your PhoneGap/Cordova/Ionic app only a couple of small steps have to be performed. Note that this plugins requires Cordova 8.0.0 or higher and Cordova-Android 7.1.4 or higher. This plugin supports both iOS 10 or newer, and Android 4.1 or newer.

Step 1: Get The Plugin

There are two ways to get the plugin:

Use config.xml

Add the following line to config.xml to add our plugin.

<gap:plugin name="cordova-plotprojects" source="npm" version="3.x" />
Command line

You can add the plugin to an existing project by executing the following command:

PhoneGap:

phonegap plugin add cordova-plotprojects

Cordova/Ionic:

cordova plugin add cordova-plotprojects

Step 2: Add Configuration File

Before you can use the plugin, you have to add a configuration file in the www/folder and name the file plotconfig.json. The snippet on the right shows an example of the file. You can find your public token in the dashboard.

{
    "publicToken": "REPLACE_ME",
    "enableOnFirstRun": true
}

Step 3: Almost done!

You can initialize the Plot library using the snippet on the right.

<script type="text/javascript">// <![CDATA[ document.addEventListener("deviceready", deviceReady, true); function deviceReady() { var plot = cordova.require("cordova/plugin/plot"); plot.init(); } // ]]></script>

You are now ready to receive your first notification. For more details, look at our Github page.

Need more help during testing, look at the testing section of the documentation.

In case you're using a version of our plugin prior to 2.1 and can't run your app on XCode due to the "framework not found Plotprojects" error, please take a look at Troubleshooting Phonegap/Cordova/Ionic integration on XCode to quickly fix it.